"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OdooApi = void 0;
class OdooApi {
    constructor() {
        this.name = 'odooApi';
        this.displayName = 'Odoo API';
        this.properties = [
            {
                displayName: 'Site url',
                name: 'url',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Username',
                name: 'username',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Password Or API Key',
                name: 'password',
                type: 'string',
                default: '',
                typeOptions: {
                    password: true,
                },
            },
            {
                displayName: 'Database name',
                name: 'db',
                type: 'string',
                default: '',
            },
        ];
    }
}
exports.OdooApi = OdooApi;
//# sourceMappingURL=OdooApi.credentials.js.map